Mailinglist Archive: opensuse-es (1319 mails)

< Previous Next >
Re: [opensuse-es] Comprobar dependencias de paquetes sin instalarlos
  • From: Camaleón <noelamac@xxxxxxxxx>
  • Date: Thu, 6 Aug 2009 17:53:53 +0200
  • Message-id: <20090806155353.GA32023@xxxxxxxxxxx>
El 2009-08-06 a las 17:42 +0200, Rafa Grimán escribió:

2009/8/6 Camaleón:

Ayer descargué los dos packs multimedia para instalación off-line (de
unos 70 MB. cada uno) con los rpm correspondientes: libdvdcss,
libxine1...

¿Cómo podría simular una instalación de estos paquetes en mi opensuse
11.1 para comprobar las dependencias que tiene cada uno de estos
rpm y poder enviar a Luis Esteban los necesarios?

(...)

Creo que te vale:

rpm -qRp <paquete.rpm>

pero no lo sé seguro porque llevo bastante sin tocar el rpm 0;)

Pues voy a probar:

***
hpc02@stthpc:~/Desktop> rpm -qRp libdvdcss-1.2.10-6.1.i586.rpm
warning: libdvdcss-1.2.10-6.1.i586.rpm: Header V3 DSA signature: NOKEY,
key ID c8da93d2
/sbin/ldconfig
/sbin/ldconfig
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.2)
rpmlib(PayloadIsLzma) <= 4.4.2-1
***

Hum... bueno, con esto enumera los paquetes que necesita pero no me dice
si me va a dar problemas al instarlo o no en mi equipo :-?

Vamos, que tengo que ir comprobando a mano si tengo esos paquetes y sus
versiones. La idea era que lo hiciera automáticamente, si es posible,
que me dijera "eh, colega, que no tienes este, este y este otro paquete
y los necesitas para poder instalarme" O:-)

Saludos,

--
Camaleón
--
Para dar de baja la suscripción, mande un mensaje a:
opensuse-es+unsubscribe@xxxxxxxxxxxx
Para obtener el resto de direcciones-comando, mande
un mensaje a:
opensuse-es+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References